<?php


namespace App\Classes;


use App\Models\User;

class Credit
{
    protected $user;
    protected $credit;

    public function setUser(User $user): Credit
    {
        $this->user = $user;
        $this->credit = $user->credit->value ?? 0;
        return $this;
    }

    public function increment($inc): Credit
    {
        if (!is_nulL($this->user->credit)) {
            $this->user->credit()->created([
                'value' => $this->credit + abs($inc)
            ]);
        } else {
            $this->user->credit->update([
                'value' => $this->credit + abs($inc)
            ]);
        }

        $this->credit = $this->user->credit->value;
        return $this;
    }

    public function result()
    {
        return $this->credit;
    }

    public function decrement($dec): Credit
    {
        $this->user->credit()->update([
            'value' => $this->credit - abs($dec)
        ]);
        $this->credit = $this->user->credit->value;
        return $this;
    }
}
