<?php


namespace App\Classes;


use Meneses\LaravelMpdf\LaravelMpdfWrapper;
use Mpdf\MpdfException;

class PdfService
{
    /**
     * @param array $sentences
     * @param array $frames
     * @param string $tracking_code
     * @return string
     * @throws MpdfException
     */
    public static function download(array $sentences, array $frames, string $tracking_code): string
    {
        return self::render($sentences, $frames, $tracking_code);
    }

    /**
     * @param $sentences
     * @param $frames
     * @param $tracking_code
     * @return string
     * @throws MpdfException
     */
    protected static function render($sentences, $frames, $tracking_code): string
    {
        return self::pdf()->loadView('invoice', [
            'sentences' => $sentences,
            'frames' => $frames,
            'tracking_code' => $tracking_code
        ])->output();
    }

    /**
     * @return LaravelMpdfWrapper
     */
    protected static function pdf(): LaravelMpdfWrapper
    {
        $pdf = new LaravelMpdfWrapper();
        $pdf->getPdf()->getMpdf()->defaultCssFile = storage_path('css/main.css');
        return $pdf;
    }
}
