<?php

namespace App\Codes;

use App\Models\Verification;
use Kavenegar\Exceptions\ApiException;
use Kavenegar\Exceptions\HttpException;
use Kavenegar\KavenegarApi;


class VerificationCode implements VerificationCodeHandler
{
    public function send($number)
    {
        $receptor=$number;
        try{
            $obj = new KavenegarApi(config('kavenegar.apikey'));
            $code = mt_rand(100000, 999999);
            $obj->VerifyLookup($receptor, $code, null, null, 'verifyUser', 'sms');
            Verification::create([
                'phone_number' => $receptor,
                'verification_code' => $code,
            ]);
            return $code;
        }
        catch(ApiException $e){
            /*
             * API Exceptions
             */
            echo $e->errorMessage();
        }
        catch(HttpException $e){
            /*
             * Http Exceptions
             */
            echo $e->errorMessage();
        }

    }
}
