<?php

namespace App\Console\Commands;

use App\Models\RankUser;
use Illuminate\Console\Command;

class RemoveOldRanks extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'rank:fresh';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Removes old user packages from database after a month of them being created';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     *
     */
    public function handle()
    {
        $userRanks = RankUser::query()->get();
        foreach ($userRanks as $rank) {
            if (now()->diffInDays($rank->created_at) >= 30) {
                $rank->delete();
            }
        }
    }
}
