<?php

namespace App\Exports;

use App\Models\Order;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class OrderExport implements FromCollection, WithHeadings
{
    /**
     * @return Collection
     */
    public function collection(): Collection
    {
        $orders = Order::with(['user', 'address'])->whereHas('user')->whereHas('transaction', function ($q) {
            $q->where('status', 'paid');
        })->latest()->get();
        $excelData = [];
        foreach ($orders as $key => $order) {
            $excelData[] = [
                $key + 1,
                $order->user->firstname . ' ' . $order->user->lastname,
                $order->user->phone_number,
                $order->send_type,
                !is_null($order->address) ? $order->address->location : '---',
                $order->created_at,
                !$order->active ? 'تحویل داده شده' : 'در حال آماده سازی',
                $order->tracking_code,
                $order->total_price,
            ];
        }
        return collect($excelData);
    }

    public function headings(): array
    {
        return [
            '#', 'نام کاربر', 'شماره موبایل کاربر', 'نوع ارسال', 'نشانی', 'تاریخ ثبت', 'وضعیت', 'کد رهگیری', 'قیمت کل'
        ];
    }
}
