<?php

namespace App\Exports;

use App\Models\Category;
use App\Models\Sentence;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class SentenceExport implements FromCollection, WithHeadings
{
    /**
    * @return Collection
    */
    public function collection(): Collection
    {
        $sentences = Sentence::with('tag')->whereNull('deleted_at')->get();
        $excelData = [];
        foreach ($sentences as $key => $sentence) {
            $category = Category::query()->find($sentence->category_id);
            $verta = verta($sentence->created_at);
            $verta->timezone('Asia/Tehran');
            $excelData[] = [
                $key + 1,
                $sentence->english_text ?? '---',
                $sentence->farsi_text ?? '---',
                !is_null($sentence->tag) ? $sentence->tag->body : '---',
                !is_null($category) ? $category->title : '---',
                $verta->format('Y/m/d H:i:s')
            ];
        }
        return collect($excelData);
    }

    /**
     * @return string[]
     */
    public function headings(): array
    {
        return [
            '#', 'متن انگلیسی', 'متن فارسی', 'تگ', 'دسته بندی', 'زمان انتشار'
        ];
    }
}
