<?php

namespace App\Exports;

use App\Models\Support;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class SupportExport implements FromCollection, WithHeadings
{
    /**
     * @return Collection
     */
    public function collection(): Collection
    {
        $supports = Support::with('user')->get();
        $excelData = [];
        foreach ($supports as $key => $support) {
            $excelData[] = [
                $key + 1,
                !is_null($support->email) ? $support->email : '---',
                !is_null($support->user) ? $support->user->firstname . ' ' . $support->user->lastname : '---',
                $support->title,
                !is_null($support->phone_number) ? $support->phone_number : '---',
                $this->handleStatus($support->status),
                $support->description,
                !is_null($support->answer) ? $support->answer : '---'
            ];
        }
        return collect($excelData);
    }

    /**
     * @param $status
     * @return string
     */
    protected function handleStatus($status): string
    {
        return $status == 'ANSWERED' ? 'پاسخ داده شده' : 'در حال بررسی';
    }

    public function headings(): array
    {
        return [
            '#',
            'ایمیل',
            'نام کامل',
            'عنوان',
            'شماره موبایل',
            'وضعیت',
            'متن',
            'پاسخ'
        ];
    }
}
