<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateAssociationRequest;
use App\Http\Requests\UpdateAssociationRequest;
use App\Services\Association\AllAssociations;
use App\Services\Association\CreateAssociation;
use App\Services\Association\DeleteAssociation;
use App\Services\Association\ReadAssociation;
use App\Services\Association\UpdateAssociation;

class AssociationController extends Controller
{
    public function index(AllAssociations $associations)
    {
        return jsonResponse($associations->all());
    }

    public function store(CreateAssociationRequest $request, CreateAssociation $association)
    {
        return jsonResponse($association->make($request));
    }

    public function show($id, ReadAssociation $association)
    {
        return jsonResponse($association->read($id));
    }

    public function update($id, UpdateAssociationRequest $request, UpdateAssociation $association)
    {
        return jsonResponse($association->update($request, $id));
    }

    public function destroy($id, DeleteAssociation $association)
    {
        return jsonResponse($association->delete($id));
    }
}
