<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateCVRequest;
use App\Http\Requests\UpdateCVRequest;
use App\Services\CV\AllCVs;
use App\Services\CV\CreateCV;
use App\Services\CV\DeleteCV;
use App\Services\CV\ReadCV;
use App\Services\CV\UpdateCV;

class CVController extends Controller
{
    public function index(AllCVs $cv)
    {
        return jsonResponse($cv->all());
    }

    public function store(CreateCVRequest $request, CreateCV $cv)
    {
        return jsonResponse($cv->create($request));
    }

    public function show($id, ReadCV $cv)
    {
        return jsonResponse($cv->read($id));
    }

    public function update(UpdateCVRequest $request, $id, UpdateCV $cv)
    {
        return jsonResponse($cv->update($request, $id));
    }

    public function destroy($id, DeleteCV $cv)
    {
        return jsonResponse($cv->delete($id));
    }
}
