<?php

namespace App\Http\Controllers;

use App\Http\Requests\ContactUsRequest;
use App\Services\ContactUs\MakeContactUs;
use App\Services\ContactUs\ReadContactUs;

class ContactUsController extends Controller
{
    public function read(ReadContactUs $contactUs)
    {
        $response = $contactUs->handle();
        return jsonResponse($response);
    }

    public function updateOrCreate(ContactUsRequest $request, MakeContactUs $contactUs)
    {
        $response = $contactUs->make($request);
        return jsonResponse($response);
    }
}
