<?php

namespace App\Http\Controllers;


use App\Classes\Credit;
use Illuminate\Http\Request;

class CreditController extends Controller
{
    protected $credit;

    public function __construct(Credit $credit)
    {
        $this->credit = $credit;
    }

    public function all()
    {

    }

    public function increase(Request $request)
    {
        $user = $request->user();
        $request->validate([
            'amount' => 'required'
        ]);
        $amount = $request['amount'];
        return jsonResponse([
            'success' => true,
            'credit' => $this->credit->setUser($user)->increment($amount)->result()
        ]);
    }

    public function decrease(Request $request)
    {
        $user = $request->user();
        $request->validate([
            'amount' => 'required'
        ]);
        $amount = $request['amount'];
        return jsonResponse([
            'success' => true,
            'credit' => $this->credit->setUser($user)->decrement($amount)->result()
        ]);
    }
}
