<?php

namespace App\Http\Controllers;

use App\Http\Requests\CustomerClubRequest;
use App\Services\CustomerClub\CreateOrUpdateCustomerClub;
use App\Services\CustomerClub\ReadCustomerClub;
use Illuminate\Http\JsonResponse;

class CustomerClubController extends Controller
{
    /**
     * @param ReadCustomerClub $club
     * @return JsonResponse
     */
    public function index(ReadCustomerClub $club): JsonResponse
    {
        return jsonResponse($club->read());
    }


    /**
     * @param CustomerClubRequest $request
     * @param CreateOrUpdateCustomerClub $club
     * @return JsonResponse
     */
    public function store(CustomerClubRequest $request, CreateOrUpdateCustomerClub $club): JsonResponse
    {
        return jsonResponse($club->updateOrCreate($request));
    }

}
