<?php

namespace App\Http\Controllers;

use App\Models\Branch;
use App\Models\DeliveryPrice;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class DeliveryPriceController extends Controller
{
    public function __construct()
    {
        $this->middleware('branch')->only('getPrice');
    }

    /**
     * @return JsonResponse
     */
    public function getPrice(): JsonResponse
    {
        return jsonResponse([
            'success' => true,
            'delivery_price' => branch()->getAttribute('delivery_price')
        ]);
    }

    /**
     * @param Request $request
     * @return JsonResponse
     */
    public function newPrice(Request $request): JsonResponse
    {
        $data = $request->validate([
            'price' => 'required',
            'branch_id' => 'required'
        ]);
        $branch = Branch::query()->find($data['branch_id']);
        if (!$branch) {
            return jsonResponse([
                'success' => false
            ]);
        }
        $branch->update([
            'delivery_price' => $data['price']
        ]);
        return jsonResponse([
            'success' => true
        ]);
    }
}
