<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateEventRequest;
use App\Http\Requests\UpdateEventRequest;
use App\Services\Event\AllEvents;
use App\Services\Event\CreateEvent;
use App\Services\Event\DeleteEvent;
use App\Services\Event\ReadEvent;
use App\Services\Event\UpdateEvent;
use Illuminate\Http\Request;

class EventController extends Controller
{
    public function index(Request $request,AllEvents $events)
    {
        $response=$events->all($request);
        return jsonResponse($response);
    }

    public function store(CreateEventRequest $request,CreateEvent $event)
    {
        $response=$event->save($request);
        return jsonResponse($response);
    }

    public function show(ReadEvent $event,Request $request,$id)
    {
        $response=$event->read($request,$id);
        return jsonResponse($response);
    }

    public function update(UpdateEvent $event,UpdateEventRequest $request,$id)
    {
        $response=$event->update($request,$id);
        return jsonResponse($response);
    }

    public function destroy(DeleteEvent $event,Request $request,$id)
    {
        $response=$event->delete($request,$id);
        return jsonResponse($response);
    }
}
