<?php

namespace App\Http\Controllers;

use App\Services\InstaPic\AllInstaPics;
use App\Services\InstaPic\CreateInstaPic;
use App\Services\InstaPic\DeleteInstaPic;
use App\Services\InstaPic\UpdateInstaPic;
use Illuminate\Http\Request;

class InstaPicController extends Controller
{
    public function index(AllInstaPics $pics)
    {
        return jsonResponse($pics->all());
    }

    public function store(Request $request, CreateInstaPic $pic)
    {
        $request->validate([
            'image' => 'required|image|mimes:jpeg,png,jpg,gif,svg'
        ]);
        return jsonResponse($pic->create($request));
    }

    public function update(Request $request, UpdateInstaPic $pic, $id)
    {
        $request->validate([
            'image' => 'required|image|mimes:jpeg,png,jpg,gif,svg'
        ]);
        return jsonResponse($pic->update($request, $id));
    }

    public function destroy(DeleteInstaPic $pic, $id)
    {
        return jsonResponse($pic->delete($id));
    }
}
