<?php

namespace App\Http\Controllers;

use App\Models\MostSoldProduct;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Validation\Rule;

class MostSoldProductController extends Controller
{
    /**
     * @return JsonResponse
     */
    public function mostSold(): JsonResponse
    {
        $products = MostSoldProduct::with('product')->get();
        return jsonResponse([
            'success' => true,
            'products' => $products
        ]);
    }

    /**
     * @param Request $request
     * @return JsonResponse
     */
    public function updateMostSold(Request $request): JsonResponse
    {
        $request->validate([
            'product_ids' => 'required'
        ]);
        foreach ($request->product_ids as $product_id) {
            MostSoldProduct::query()->updateOrCreate(['product_id' => $product_id], ['product_id' => $product_id]);
        }
        $response = [
            'success' => true
        ];
        return jsonResponse($response);
    }

    public function delete($id)
    {
        $product = MostSoldProduct::query()->find($id);
        if (!$product) {
            return jsonResponse([
                'success' => false
            ]);
        }

        $product->delete();
        return jsonResponse([
            'success' => true
        ]);
    }
}
