<?php

namespace App\Http\Controllers;

use App\Services\OrderItem\AllOrderItems;
use App\Services\OrderItem\CreateOrderItem;
use App\Services\OrderItem\ReadOrderItem;
use Illuminate\Http\Request;

class OrderItemController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:sanctum');
    }

    public function index(AllOrderItems $items,Request $request)
    {
        $response=$items->all($request);
        return jsonResponse($response);
    }

    public function store(CreateOrderItem $item,Request $request)
    {
        $response=$item->save($request);
        return jsonResponse($response);
    }

    public function show(ReadOrderItem $item,Request $request,$id)
    {
        $response=$item->read($request,$id);
        return jsonResponse($response);
    }

    public function update()
    {
        //nothing here...
    }

    public function destroy()
    {
        //nothing here
    }
}
