<?php

namespace App\Http\Controllers;

use App\Models\OurProduct;
use Illuminate\Http\Request;

class OurProductController extends Controller
{
    public function ourProducts()
    {
        $products = OurProduct::with('product')->get();
        $response = [
            'success' => true,
            'products' => $products
        ];
        return jsonResponse($response);
    }

    public function updateOurProduct(Request $request)
    {
        $request->validate([
            'product_ids' => 'required'
        ]);

        foreach ($request->product_ids as $product_id) {
            OurProduct::query()->updateOrCreate(['product_id' => $product_id], ['product_id' => $product_id]);
        }
        $response = [
            'success' => true,
        ];
        return jsonResponse($response);
    }

    public function delete($id)
    {
        $product = OurProduct::query()->find($id);
        if (!$product) {
            return jsonResponse([
                'success' => false
            ]);
        }
        $product->delete();
        return jsonResponse([
            'success' => true
        ]);
    }
}
