<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreatePermissionRequest;
use App\Services\Permission\AllPermissions;
use App\Services\Permission\CreatePermission;
use App\Services\Permission\DeletePermission;
use App\Services\Permission\ReadPermission;
use App\Services\Permission\UpdatePermission;

class PermissionController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:sanctum');
    }

    public function index(AllPermissions $permissions)
    {
        $response = $permissions->all();
        return jsonResponse($response);
    }

    public function store(CreatePermissionRequest $request, CreatePermission $permission)
    {
        $response = $permission->save($request);
        return jsonResponse($response);
    }

    public function show(ReadPermission $permission, $id)
    {
        $response = $permission->read($id);
        return jsonResponse($response);
    }

    public function update(CreatePermissionRequest $request,UpdatePermission $permission, $id)
    {
        $response = $permission->update($request,$id);
        return jsonResponse($response);
    }

    public function destroy(DeletePermission $permission, $id)
    {
        $response = $permission->delete($id);
        return jsonResponse($response);
    }
}
