<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateProfileRequest;
use App\Services\Profile\ProfileService;

class ProfileController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:sanctum');
    }

    public function index()
    {
        $response = ProfileService::all();
        return jsonResponse($response);
    }

    public function userProfile()
    {
        $response = ProfileService::userProfile();
        return jsonResponse($response);
    }

    public function store(CreateProfileRequest $request)
    {
        $response = ProfileService::create($request);
        return jsonResponse($response);
    }

    public function show($id)
    {
        $response = ProfileService::find($id);
        return jsonResponse($response);
    }

    public function update(CreateProfileRequest $request, $id)
    {
        $response = ProfileService::update($request, $id);
        return jsonResponse($response);
    }

    public function destroy($id)
    {
        $response = ProfileService::delete($id);
        return jsonResponse($response);
    }
}
