<?php

namespace App\Http\Controllers;

use App\Codes\CodeGenerator;
use App\Http\Requests\UpdatePromotionRequest;
use App\Services\Promotion\AdminCreatePromotion;
use App\Services\Promotion\AllPromotions;
use App\Services\Promotion\CreatePromotion;
use App\Services\Promotion\DeletePromotion;
use App\Services\Promotion\ReadPromotion;
use App\Services\Promotion\UpdatePromotion;
use App\Services\Promotion\UserPromotions;
use Illuminate\Http\Request;

class PromotionController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:sanctum');
    }

    public function index(Request $request,AllPromotions $promotions)
    {
        $response = $promotions->all($request);
        return jsonResponse($response);
    }

    public function store(Request $request,CodeGenerator $generator,CreatePromotion $promotion)
    {
        $response = $promotion->save($request,$generator);
        return jsonResponse($response);
    }

    public function show(ReadPromotion $promotion,Request $request,$id)
    {
        $response = $promotion->read($request,$id);
        return jsonResponse($response);
    }

    public function update(UpdatePromotionRequest $request,UpdatePromotion $promotion,$id)
    {
        $response = $promotion->update($request,$id);
        return jsonResponse($response);
    }

    public function destroy(DeletePromotion $promotion,Request $request,$id)
    {
        $response = $promotion->delete($request,$id);
        return jsonResponse($response);
    }

    public function promotionCodes(UserPromotions $promotions,$id)
    {
        $response = $promotions->all($id);
        return jsonResponse($response);
    }

    public function adminCreatePromotion(Request $request,AdminCreatePromotion $promotion, CodeGenerator $generator,$id)
    {
        $response = $promotion->save($request,$generator,$id);
        return jsonResponse($response);
    }

    public function dispatchPromotions(CreatePromotion $promotion, Request $request)
    {
        $response = $promotion->dispatch($request);
        return jsonResponse($response);
    }

    public function dispatchPromotionAll(CreatePromotion $promotion, Request $request)
    {
        $response = $promotion->dispatchAll($request);
        return jsonResponse($response);
    }
}
