<?php

namespace App\Http\Controllers;

use App\Http\Requests\RateRequest;
use App\Models\Product;
use App\Models\Rate;

class RateController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:sanctum');
    }

    public function rate(RateRequest $request)
    {
        $product_id = $request->product_id;
        $rate_amount = $request->rate_amount;
        $user = $request->user();
        $user_rates = $user->rates;
        $add = true;
        foreach ($user_rates as $rate) {
            if ($rate->product_id == $product_id) {
                $add = false;
                break;
            }
        }
        if ($add) {
            Rate::query()->create([
                'rate_amount' => $rate_amount,
                'product_id' => $product_id,
                'user_id' => $user->id
            ]);
        }
        return jsonResponse(
            [
                'success' => true,
                'product' => Product::query()->find($product_id)
            ]
        );
    }
}
