<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateRoleRequest;
use App\Services\Role\AllRoles;
use App\Services\Role\CreateRole;
use App\Services\Role\DeleteRole;
use App\Services\Role\ReadRole;
use App\Services\Role\UpdateAccesses;
use App\Services\Role\UpdateRole;
use Illuminate\Http\Request;

class RoleController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:sanctum');
    }


    public function index(AllRoles $roles)
    {
        $response = $roles->all();
        return jsonResponse($response);
    }

    public function store(CreateRoleRequest $request, CreateRole $role)
    {
        $response = $role->save($request);
        return jsonResponse($response);
    }

    public function show(ReadRole $role , $id)
    {
        $response = $role->read($id);
        return jsonResponse($response);
    }

    public function update(CreateRoleRequest $request, UpdateRole $role, $id)
    {
        $response = $role->update($request,$id);
        return jsonResponse($response);
    }

    public function destroy(DeleteRole $role,$id)
    {
        $response = $role->delete($id);
        return jsonResponse($response);
    }

    public function updateAccesses(Request $request, UpdateAccesses $accesses, $id)
    {
        $response = $accesses->update($request,$id);
        return jsonResponse($response);
    }
}
