<?php

namespace App\Http\Controllers;

use App\Models\Product;
use App\Models\Size;
use App\Services\Size\AllSizes;
use App\Services\Size\CreateSize;
use App\Services\Size\DeleteSize;
use App\Services\Size\ReadSize;
use App\Services\Size\UpdateSize;
use Illuminate\Http\Request;

class SizeController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:sanctum');
    }

    public function index(AllSizes $sizes)
    {
        $response = $sizes->all();
        return jsonResponse($response);
    }

    public function store(CreateSize $size, Request $request)
    {
        $response = $size->create($request);
        return jsonResponse($response);
    }

    public function show(ReadSize $size, $id)
    {
        $response = $size->show($id);
        return jsonResponse($response);
    }

    public function update(Request $request, UpdateSize $size, $id)
    {
        $response = $size->update($request, $id);
        return jsonResponse($response);
    }

    public function destroy(DeleteSize $size, $id)
    {
        $response = $size->delete($id);
        return jsonResponse($response);
    }

    public function deleteProductSize(DeleteSize $deleteSize, Size $size, Product $product)
    {
        $response = $deleteSize->deleteProductSize($product, $size);
        return jsonResponse($response);
    }

}
