<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateSliderRequest;
use App\Http\Requests\UpdateSliderImageRequest;
use App\Http\Requests\UpdateSliderRequest;
use App\Http\Requests\UpdateSliderTitleRequest;
use App\Services\Slider\AllSliders;
use App\Services\Slider\CreateSlider;
use App\Services\Slider\DeleteSlider;
use App\Services\Slider\ReadSlider;
use App\Services\Slider\UpdateSlider;
use App\Services\Slider\UpdateSliderImage;
use App\Services\Slider\UpdateSliderProduct;
use App\Services\Slider\UpdateSliderTitle;
use Illuminate\Http\Request;

class SliderController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:sanctum');
    }

    public function index(AllSliders $sliders)
    {
        $response=$sliders->all();
        return jsonResponse($response);
    }

    public function store(CreateSliderRequest $request,CreateSlider $slider)
    {
        $response=$slider->save($request);
        return jsonResponse($response);
    }

    public function show(ReadSlider $slider,$id)
    {
        $response=$slider->read($id);
        return jsonResponse($response);
    }

    public function update(UpdateSliderRequest $request,UpdateSlider $slider,$id)
    {
        $response=$slider->update($request,$id);
        return jsonResponse($response);
    }
    public function destroy(DeleteSlider $slider,$id)
    {
        $response=$slider->delete($id);
        return jsonResponse($response);
    }

    public function updateImage(UpdateSliderImage $image, UpdateSliderImageRequest $request, $id)
    {
        $response = $image->update($request,$id);
        return jsonResponse($response);
    }

    public function updateTitle(UpdateSliderTitle $title,UpdateSliderTitleRequest $request,$id)
    {
        $response = $title->update($request, $id);
        return jsonResponse($response);
    }

    public function updateProduct(UpdateSliderProduct $product, Request $request, $id)
    {
        $response = $product->update($request, $id);
        return jsonResponse($response);
    }
}
