<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateTagRequest;
use App\Http\Requests\UpdateTagRequest;
use App\Services\Tag\AllTags;
use App\Services\Tag\CreateTag;
use App\Services\Tag\DeleteTag;
use App\Services\Tag\ReadTag;
use App\Services\Tag\UpdateTag;
use Illuminate\Http\Request;

class TagController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:sanctum');
    }

    public function index(AllTags $tags)
    {
        $response=$tags->all();
        return jsonResponse($response);
    }
    public function store(CreateTagRequest $request,CreateTag $tag)
    {
        $response=$tag->save($request);
        return jsonResponse($response);
    }
    public function show(ReadTag $tag,$id)
    {
        $response=$tag->read($id);
        return jsonResponse($response);
    }
    public function update(UpdateTag $tag,UpdateTagRequest $request,$id)
    {
        $response=$tag->update($request,$id);
        return jsonResponse($response);
    }
    public function destroy(DeleteTag $tag,$id)
    {
        $response=$tag->delete($id);
        return jsonResponse($response);
    }

    public function categoryUpdate(Request $request, UpdateTag $tag, $id)
    {
        $response = $tag->updateCategory($request, $id);
        return jsonResponse($response);
    }
}
