<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateTermsRequest;
use App\Http\Requests\UpdateTermsRequest;
use App\Services\Terms\AllTerms;
use App\Services\Terms\CreateTerms;
use App\Services\Terms\DeleteTerms;
use App\Services\Terms\ReadTerms;
use App\Services\Terms\UpdateTerms;

class TermsController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:sanctum')->except('index');
    }

    public function index(AllTerms $terms)
    {
        $response=$terms->all();
        return jsonResponse($response);
    }

    public function store(CreateTermsRequest $request,CreateTerms $terms)
    {
        $response=$terms->save($request);
        return jsonResponse($response);
    }

    public function show(ReadTerms $terms,$id)
    {
        $response=$terms->read($id);
        return jsonResponse($response);
    }

    public function update(UpdateTerms $terms,UpdateTermsRequest $request,$id)
    {
        $response=$terms->update($request,$id);
        return jsonResponse($response);
    }

    public function destroy(DeleteTerms $terms,$id)
    {
        $response=$terms->delete($id);
        return jsonResponse($response);
    }
}
