<?php

namespace App\Http\Controllers;

use App\Codes\VerificationCodeHandler;
use App\Http\Requests\ConfirmCodeRequest;
use App\Http\Requests\PhoneNumberVerificationRequest;
use App\Services\Verification\ConfirmCode;
use App\Services\Verification\Logout;
use App\Services\Verification\PhoneNumberVerification;
use Illuminate\Http\Request;

class VerificationController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:sanctum')->only(['logout']);
    }

    public function phone_number_verification(PhoneNumberVerificationRequest $request,PhoneNumberVerification $verification,VerificationCodeHandler $handler)
    {
        $response=$verification->phone_number_verification($request,$handler);
        return jsonResponse($response);
    }

    public function confirm_code(ConfirmCodeRequest $request,ConfirmCode $code)
    {
        $response=$code->confirm_code($request);
        return jsonResponse($response);
    }

    public function logout(Logout $logout,Request $request)
    {
        $response=$logout->logout($request);
        return jsonResponse($response);
    }
}
