<?php

namespace App\Http\Controllers;

use App\Http\Requests\VideoRequest;
use App\Models\Video;
use Illuminate\Http\JsonResponse;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class VideoController extends Controller
{
    /**
     * @return JsonResponse
     */
    public function getVideo(): JsonResponse
    {
        $video = Video::query()->get()->last();
        return jsonResponse([
            'success' => true,
            'video' => $video
        ]);
    }

    /**
     * @param VideoRequest $request
     * @return JsonResponse
     */
    public function makeVideo(VideoRequest $request): JsonResponse
    {
        $file = $request->video;
        $filepath = time() . '_' . Str::random(5) . '.' . $file->getClientOriginalExtension();
        $video = Video::query()->first();
        if (!$video) {
            Video::query()->create([
                'video' => $filepath
            ]);
            return jsonResponse([
                'success' => true
            ]);
        }
        Storage::putFileAs('/', $file, $filepath);
        $video->update(['video' => $filepath]);
        return jsonResponse([
            'success' => true
        ]);
    }
}
