<?php

namespace App\Http\Controllers;

use App\Services\WebsitePage\Handler;
use App\Services\WebsitePage\InitService;
use Exception;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class WebsitePageController extends Controller
{
    public function __construct()
    {
        $this->middleware('branch')->only('getPage');
    }

    /**
     * @param Request $request
     * @param Handler $handler
     * @return JsonResponse
     * @throws Exception
     */
    public function getPage(Request $request, Handler $handler): JsonResponse
    {
        return jsonResponse($handler->handle($request));
    }

    public function init(InitService $service): JsonResponse
    {
        return jsonResponse($service->getData());
    }
}
