<?php

namespace App\Http\Middleware;

use App\Models\Branch;
use Closure;
use Illuminate\Http\Request;

class SpecifyBranch
{
    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param Closure $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if ($request->hasHeader('x-branch-id')) {
            if ($request->header('x-branch-id') == null || $request->header('x-branch-id') == 'null' || $request->header('x-branch-id') == '') {
                return $next($request);
            }
            if (!Branch::query()->find($request->header('x-branch-id'))) {
                return jsonResponse([
                    'success' => false,
                    'message' => 'این شعبه وجود ندارد'
                ]);
            }
            $branch = Branch::query()->find($request->header('x-branch-id'));
            if ($branch->getAttribute('active') == false) {
                return jsonResponse([
                    'success' => false,
                    'message' => 'این شعبه غیر فعال است'
                ]);
            }
            $request->merge([
                'branch' => $branch
            ]);
        }

        return $next($request);
    }
}
