<?php

namespace App\Http\Middleware;

use Closure;
use Hekmatinasser\Verta\Facades\Verta;
use Illuminate\Http\Request;

class WorkTimeMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param Closure $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if (branch()->getAttribute('start_hour') != null && branch()->getAttribute('end_hour') != null) {
            $start = branch()->getAttribute('start_hour');
            $end = branch()->getAttribute('end_hour');
            $now = Verta::now('Asia/Tehran')->hour;
            if ($start <= $now && $now <= $end) {
                return $next($request);
            }
            if ($start < 6) {
                $start = $start . ' بامداد';
            } elseif ($start >= 6 && $start < 10) {
                $start = $start . ' صبح';
            } elseif ($start >= 10 && $start < 12) {
                $start = $start . ' قبل ظهر';
            } else $start = ($start - 12) . ' بعد از ظهر';
            if ($end < 6) {
                $end = $end . ' بامداد';
            } elseif ($end >= 6 && $end < 10) {
                $end = $end . ' صبح';
            } elseif ($end >= 10 && $end < 12) {
                $end = $end . ' قبل ظهر';
            } else $end = ($end - 12) . ' بعد از ظهر';
            return response()->json([
                'success' => false,
                'message' => 'ساعات سفارش گیری این شعبه از ' . $start . ' تا ' . $end . ' است'
            ], 400);
        } else {
            return $next($request);
        }
//        return $next($request);

    }
}
