<?php

namespace App\Http\Requests;

use App\Models\Branch;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class CreateBranchRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(): array
    {
        return [
            'name' => 'required',
            'address' => 'required',
            'type' => ['required', Rule::in(Branch::TYPES)],
            'active' => 'sometimes',
            'branch_image' => 'sometimes',
            'phone_number' => 'sometimes',
            'whatsapp' => 'sometimes'
        ];
    }
}
