<?php

namespace App\Http\Requests;

use App\Models\Category;
use App\Models\Product;
use App\Rules\CreateCartItemRule;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class CreateCartItemRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'product_id' => 'required',
            'quantity' => 'required',
            'sentence_id' => 'nullable|integer',
            'sentence_language' => 'nullable',
            'frame' => 'nullable',
            'to' => 'nullable|max:30',
            'from' => 'nullable|max:30',
            'sizeId' => [Rule::requiredIf(function () {
                $product = Product::query()->find($this->product_id);
                return $product->isCafe();
            })]
        ];
    }
}
