<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class CreateCategoryRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'type' => 'required|string',
            'title' => ['required'],
            'active_image' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:5000',
            'passive_image' => 'nullable|image|mimes:jpeg,png,jpg,gif,svg|max:5000'
        ];
    }
}
