<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CreateProductRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(): array
    {
        return [
            'category_id' => 'required|integer',
            'name' => 'required',
            'size' => 'nullable',
            'ingredient' => 'nullable',
            'price' => 'sometimes',
            'image' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:2048',
            'prices' => 'sometimes'
        ];
    }
}
