<?php

namespace App\Http\Requests;

use App\Models\Profile;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class CreateUserRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'firstname' => 'required|max:50|string',
            'lastname' => 'required|max:50|string',
            'phone_number' => ['required', 'size:11', 'regex:/(09)[0-9]{9}/', Rule::unique('users', 'phone_number')
                ->whereNull('deleted_at')
            ],
            'referral_code' => 'sometimes|size:12',
            'city' => 'sometimes',
            'gender' => ['sometimes', Rule::in(Profile::GENDER)],
            'birthdate' => 'sometimes',
            'province' => 'sometimes'
        ];
    }
}
