<?php

namespace App\Http\Requests;

use App\Models\Product;
use App\Models\Rate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class RateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'product_id' => ['required', function($key, $value, $fail) {
                $product = Product::query()->where('id', $value)->whereNull('deleted_at')->first();
                if (!$product) {
                    $fail('محصول مورد نظر شما یافت نشد.');
                }
            }],
            'rate_amount' => ['required', Rule::in(Rate::RATE)]
        ];
    }
}
