<?php

namespace App\Http\Requests;

use App\Models\Sentence;
use Illuminate\Foundation\Http\FormRequest;

class UpdateCartItemSentenceRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'sentence_id' => ['required', function($key, $value, $fail) {
                $sentence = Sentence::query()->find($value);
                if (!$sentence) {
                    $fail('جمله مورد نظر یافت نشد.');
                }
            }],
            'sentence_language' => 'required',
            'frame' => 'required',
            'to' => 'required|max:30',
            'from' => 'required|max:30',
        ];
    }
}
