<?php

namespace App\Http\Requests;

use App\Models\Profile;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class UpdateUserRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'firstname' => 'nullable|max:50|string',
            'lastname' => 'nullable|max:50|string',
            'city' => 'sometimes',
            'gender' => ['sometimes', Rule::in(Profile::GENDER)],
            'birthdate' => 'sometimes',
            'province' => 'sometimes'
        ];
    }
}
