<?php

namespace App\Listeners;

use App\Events\BlockUserEvent;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Kavenegar\Exceptions\ApiException;
use Kavenegar\KavenegarApi;

class BlockUserListener
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param BlockUserEvent $event
     * @return void
     */
    public function handle(BlockUserEvent $event)
    {
        $user = $event->getUser();
        $full_name = $user->firstname;
        $mobile = $user->phone_number;
        $sms = new KavenegarApi(config('kavenegar.apikey'));
        $sms->VerifyLookup($mobile, $full_name, null, null, 'BLOCKUSER');

    }
}
