<?php

namespace App\Models;

use Carbon\Carbon;
use Hekmatinasser\Verta\Verta;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Support\Str;
use Laravel\Sanctum\HasApiTokens;

class Admin extends Model
{
    use HasFactory, HasApiTokens, SoftDeletes;

    protected $guarded = ['id'];

    public function roles()
    {
        return $this->belongsToMany(Role::class, 'admin_role');
    }

    public function getLoggedInAtAttribute($data)
    {
        return $data != null ? verta($data)->format('در تاریخ: Y/m/d در ساعت: H:i:s') : 'ثبت نشده';
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }
}
