<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Laravel\Sanctum\HasApiTokens;

class CartItem extends Model
{
    protected $guarded=[];
    use HasFactory,HasApiTokens;

    /**
     * @return BelongsTo
     */
    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class,'user_id');
    }

    /**
     * @return bool
     */
    public function isStoreProduct(): bool
    {
        return !$this->product()->isCafe();
    }

    public function product()
    {
        return Product::query()->where('name', '=', $this->getAttribute('product'))->first();
    }


}
