<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DeliveryPrice extends Model
{
    use HasFactory;

    protected $guarded = [];

    public function getCreatedAtAttribute($value): string
    {
        return verta($value)->format('Y/m/d');
    }

    public static function lastPrice()
    {
        return (new DeliveryPrice)::query()->get()->last()->price ?? 10000;
    }
}
