<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;
use Illuminate\Support\Str;
use Ramsey\Uuid\UuidInterface;

class MillType extends Model
{
    use HasFactory;
    protected $guarded = [];

    protected $appends = ['uuid'];

    /**
     * @return UuidInterface
     */
    public function getUuidAttribute(): UuidInterface
    {
        return Str::uuid();
    }
    /**
     * @return BelongsToMany
     */
    public function products(): BelongsToMany
    {
        return $this->belongsToMany(Product::class, 'product_metas', 'filter_id');
    }
}
