<?php

namespace App\Models;

use App\Observers\NotificationObserver;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Laravel\Sanctum\HasApiTokens;

class Notification extends Model
{
    protected $guarded=[];
    use HasFactory,HasApiTokens,SoftDeletes;

    public function user()
    {
        return $this->belongsTo(User::class,'user_id');
    }

    public function getCreatedAtAttribute($value)
    {
        return verta($value)->format('H:i - Y/m/d');
    }

    protected static function booted()
    {
        Notification::observe(NotificationObserver::class);
    }
}
