<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Laravel\Sanctum\HasApiTokens;

class OrderItem extends Model
{
    protected $guarded = [];
    protected $appends = ['tracking_code', 'is_store_product'];
    use HasFactory, HasApiTokens, SoftDeletes;

    public function getTrackingCodeAttribute()
    {
        return $this->order->tracking_code;
    }

    public function mainProduct()
    {
        return $this->belongsTo(Product::class, 'product', 'name');
    }

    public function product()
    {
        $productName = $this->product;
        return Product::query()->where('name', $productName)->first();
    }


    public function order()
    {
        return $this->belongsTo(Order::class, 'order_id');
    }

    public function getIsStoreProductAttribute()
    {
        return !is_null($this->product()) ? !$this->product()->isCafe() : null;
    }
}
