<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Laravel\Sanctum\HasApiTokens;

class Profile extends Model
{
    use HasFactory, HasApiTokens;

    const GENDER = ['MALE', 'FEMALE'];
    protected $appends = ['birthday_date'];

    protected $guarded = [];

    /**
     * @return BelongsTo
     */
    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function getCreatedAtAttribute($value)
    {
        return verta($value)->format('Y/m/d H:i:s');
    }

    public function getBirthdayDateAttribute()
    {
        return verta($this->birthdate)->format('Y/m/d');
    }
}
