<?php

namespace App\Models;

use App\Observers\PromotionObserver;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Laravel\Sanctum\HasApiTokens;

class Promotion extends Model
{
    use HasFactory,HasApiTokens,SoftDeletes;
    protected $guarded=[];

    public function user()
    {
        return $this->belongsTo(User::class,'user_id');
    }

    protected static function booted()
    {
        Promotion::observe(PromotionObserver::class);
    }
}
