<?php

namespace App\Providers;

use App\Codes\CodeGenerator;
use App\Codes\CodeHandler;
use App\Codes\VerificationCode;
use App\Codes\VerificationCodeHandler;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton(CodeGenerator::class, function ($app){
            return new CodeHandler();
        });
        $this->app->singleton(VerificationCodeHandler::class, function ($app){
            return new VerificationCode();
        });
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
