<?php

namespace App\Providers;

use App\Events\BlockUserEvent;
use App\Events\CreditEvent;
use App\Listeners\BlockUserListener;
use App\Listeners\CreditListener;
use App\Models\Notification;
use App\Models\Promotion;
use App\Observers\NotificationObserver;
use App\Observers\PromotionObserver;
use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;

class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
        CreditEvent::class => [
            CreditListener::class
        ],
        BlockUserEvent::class => [
            BlockUserListener::class
        ]
    ];

    protected $observers = [
        Notification::class => [
            NotificationObserver::class
        ],
        Promotion::class => [
            PromotionObserver::class
        ]
    ];

    /**
     * Register any events for your application.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
