<?php


namespace App\Services\Address;


use App\Http\Requests\CreateAddressRequest;
use App\Models\User;

class CreateAddress
{
    public function save(CreateAddressRequest $request)
    {
        $data=$request->validated();
        $user=User::findOrFail($request->user()->id);
        $address=$user->addresses()->updateOrCreate($data);
        return [
            'success' => true,
            'message' => 'آدرس جدید با موفقیت ایجاد شد',
            'address' => $address,
        ];
    }
}
