<?php


namespace App\Services\Address;


use App\Models\Address;
use App\Models\User;
use Illuminate\Http\Request;

class DeleteAddress
{
    public function delete(Request $request,$id)
    {
        $user=User::findOrFail($request->user()->id);
        $count=$user->addresses()->get()->count();
        if ($id>$count){
            return [
                'success' => false,
                'message' => 'تعداد آدرس های ثبت شده کاربر کمتر از عدد وارد شده است'
            ];
        }
        $address=$user->addresses()->get()[$id-1];
        $user->addresses()->findOrFail($address->id)->delete();
        return [
            'success' => true,
            'message' => 'آدرس مورد نظر با موفقیت حذف شد'
        ];
    }

    public function deleteFromWebSite($id)
    {
        $address = Address::query()->find($id);
        if (!$address) {
            return [
                'success' => false,
                'message' => 'آدرس مورد نظر یافت نشد'
            ];
        }
        $address->forceDelete();
        return  [
            'success' => true
        ];
    }
}
