<?php


namespace App\Services\Address;


use App\Http\Requests\UpdateAddressRequest;
use App\Http\Requests\UpdateWebsiteAddressRequest;
use App\Models\Address;
use App\Models\User;

class UpdateAddress
{
    public function update(UpdateAddressRequest $request,$id)
    {
        $user=User::findOrFail($request->user()->id);
        $count=$user->addresses()->get()->count();
        if ($id>$count){
            return [
                'success' => false,
                'message' => 'تعداد آدرس های ثبت شده کاربر کمتر از عدد وارد شده است'
            ];
        }
        $address=$user->addresses()->get()[$id-1];
        $data=$request->validated();
        if ($data['location']==null){
            $data['location']=$address->location;
        }
        if ($data['receiver_name']==null){
            $data['receiver_name']=$address->receiver_name;
        }
        if ($data['receiver_phone_number']==null){
            $data['receiver_phone_number']=$address->receiver_phone_number;
        }
        $user->addresses()->findOrFail($address->id)->update($data);
        return [
            'success' => true,
            'address' => $user->addresses()->findOrFail($address->id),
            'message' => 'آدرس مورد نظر با موفقیت به روزرسانی شد'
        ];
    }

    public function updateUserAddress(UpdateWebsiteAddressRequest $request, $id)
    {
        $request->validated();
        $address = Address::query()->find($id);
        if (!$address) {
            return [
                'success' => false,
                'message' => 'آدرس موجود نیست.'
            ];
        }
        $address->update($request->all());
        return [
            'success' => true,
            'address' => $address
        ];

    }
}
