<?php


namespace App\Services\Admin;


use App\Models\Admin;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;

class AllAdmins
{
    public function all()
    {
        $admins = Admin::with(['roles', 'branch'])
            ->where('id', '!=', request()->user()->id)
            ->get();
        return [
            'success' => true,
            'admins' => $admins,
        ];
    }

    public function filter(Request $request)
    {
        $username = $request->username;
        $email = $request->email;
        $admins = new Admin();
        if ($username != '') {
            $admins = $admins->newQuery()->where('username', 'LIKE', '%' . $username . '%');
        }
        if ($email != '') {
            $admins = $admins->newQuery()->where('email', 'LIKE', '%' . $email . '%');
        }
        $admins = $admins->newQuery()->where('id', '!=', $request->user()->id)->with('roles');
        return [
            'success' => true,
            'admins' => $admins->with('branch')->get()
        ];
    }
}
