<?php


namespace App\Services\Admin;


use App\Http\Requests\LoginAdminRequest;
use App\Models\Admin;
use App\Models\Branch;
use Illuminate\Support\Facades\Hash;

class LoginAdmin
{
    public function login(LoginAdminRequest $request)
    {
        $data=$request->validated();
        $admin=Admin::query()->where('email',$data['email'])->first();
        if (!$admin){
            return [
                'success' => false,
                'message' => 'اطلاعات ورودی با هیچ ادمینی مطابقت ندارد'
            ];
        }
        if (!Hash::check($data['password'],$admin->password)){
            return [
                'success' => false,
                'message' => 'اطلاعات ورودی با هیچ ادمینی مطابقت ندارد'
            ];
        }
        $permissions = $admin->roles()->first()->permissions()->get();
        foreach ($permissions as $item){
            unset($item['pivot']);
            unset($item['created_at']);
            unset($item['updated_at']);
        }
        $admin->logged_in_at = now()->format('Y/m/d H:i:s');
        $admin->save();
        $admin['permissions'] = $permissions;
        $token=$admin->createToken('ApiToken')->plainTextToken;
        return [
            'success' => true,
            'admin' => $admin,
            'branch' => Branch::query()->find($admin->branch_id),
            'token' => $token,
        ];
    }
}
