<?php


namespace App\Services\Admin;


use App\Http\Requests\NewPasswordRequest;
use Illuminate\Support\Facades\Hash;

class NewPassword
{
    public function change(NewPasswordRequest $request)
    {
        $admin=$request->user();
        $data=$request->validated();
        if (!Hash::check($data['old_password'],$admin->password)){
            return [
                'success' => false,
                'message' => 'رمز وارد شده با رمز عبور سابق مطابقت ندارد'
            ];
        }
        $admin->update([
            'password' => Hash::make($data['new_password']),
        ]);

        return [
            'success' => true,
            'admin' => $admin
        ];
    }
}
