<?php


namespace App\Services\Admin;


use App\Models\Admin;
use App\Models\Role;
use Illuminate\Http\Request;

class UpdateAdminRole
{
    public function roleUpdate(Request $request, $id)
    {
        $admin = Admin::find($id);
        if (!$admin) {
            return [
                'success' => false,
                'message' => 'ادمین مورد نظر یافت نشد'
            ];
        }
        $data = $request->validate([
            'role_id' => 'required|integer'
        ]);
        $roleId = $data['role_id'];
        $updatingRole = Role::find($roleId);
        if (!$updatingRole) {
            return [
                'success' => false,
                'message' => 'نقش مورد نظز یافت نشد'
            ];
        }
        $admin->roles()->sync($roleId);
        return [
            'success' => true,
            'message' => 'نقش ادمین با موفقیت به روزرسانی شد'
        ];
    }
}
