<?php


namespace App\Services\Branch;


use App\Http\Requests\CreateBranchRequest;
use App\Models\Branch;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class CreateBranch
{
    /**
     * @param CreateBranchRequest $request
     * @return array
     */
    public function create(CreateBranchRequest $request): array
    {
        $data = $request->validated();
        $active = $request->active == 'active';
        $data['active'] = $active;
        if ($request->has('branch_image')) {
            $image = $request->branch_image;
            $filename = time() . '_' . Str::random(5) . '.' . $image->getClientOriginalExtension();
            Storage::putFileAs('/', $image, $filename);
            $data['branch_image'] = $filename;
        }

        $branch = Branch::query()->create($data);
        return [
            'success' => true,
            'branch' => $branch
        ];
    }
}
