<?php


namespace App\Services\Branch;


use App\Http\Requests\UpdateBranchRequest;
use App\Models\Branch;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class UpdateBranch
{
    public function update(UpdateBranchRequest $request, $id)
    {
        $branch = Branch::query()->find($id);
        if (!$branch) {
            return [
                'success' => false,
                'message' => 'شعبه مورد نظر یافت نشد'
            ];
        }

        $data = $request->validated();

        if ($request->has('branch_image')) {
            $image = $request->branch_image;
            $filename = time() . '_' . Str::random(5) . '.' . $image->getClientOriginalExtension();
            Storage::putFileAs('/', $image, $filename);
            $data['branch_image'] = $filename;
        }
        $branch->update($data);
        return [
            'success' => true,
            'branch' => $branch
        ];
    }
}
