<?php


namespace App\Services\CV;


use App\Http\Requests\CreateCVRequest;
use App\Models\CV;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class CreateCV
{

    public function create(CreateCVRequest $request)
    {
        $request->validated();
        $cv_file = $request->cv_file;
        $filename = time() . '_' . Str::random(8) . '.' . $cv_file->getClientOriginalExtension();
        Storage::putFileAs('/', $cv_file, $filename);
        return [
            'success' => true,
            'cv' => CV::query()->create([
                'firstname' => $request->firstname,
                'lastname' => $request->lastname,
                'phone' => $request->phone,
                'email' => $request->email,
                'major' => $request->major,
                'cv_file' => $filename
            ])
        ];
    }
}
