<?php


namespace App\Services\CartItem;


use App\Models\CartItem;
use App\Models\User;
use Illuminate\Http\Request;

class DeleteCartItem
{
    public function delete(Request $request,$id)
    {
        $user=User::findOrFail($request->user()->id);
        if ($user->cartItems()->get()->count()<$id){
            return [
                'success' => false,
                'message' => 'سبد خرید کاربر این تعداد محصول ندارد',
            ];
        }
        $cart_item=CartItem::findOrFail($user->cartItems()->get()[$id-1]->id);
        $cart_item->delete();
        return [
            'success' => true,
            'message' => 'این محصول از سبد خرید کاربر حذف شد',
        ];
    }

    public function deleteFromWebsite($id)
    {
        $cartItem = CartItem::query()->find($id);
        if (!$cartItem) {
            return [
                'success' => false,
                'message' => 'این آیتم یافت نشد.'
            ];
        }
        $cartItem->forceDelete();
        return [
            'success' => true
        ];
    }
}
