<?php


namespace App\Services\CartItem;


use App\Models\CartItem;
use App\Models\User;
use Illuminate\Http\Request;

class ReadCartItem
{
    public function read(Request $request,$id)
    {
        $user=User::findOrFail($request->user()->id);
        $cart_items=$user->cartItems()->get();
        if ($cart_items->count()<$id){
            return [
                'success' => false,
                'message' => 'کاربر در سبد خرید خود این تعداد محصول ندارد',
            ];
        }
        $cart_item=CartItem::findOrFail($cart_items[$id-1]->id);
        return [
            'success' => true,
            'cart-item' => [
                'product' => $cart_item->product,
                'quantity' => $cart_item->quantity,
                'sentence' => $cart_item->sentence,
                'frame' => $cart_item->frame,
                'to' => $cart_item->to,
                'from' => $cart_item->from,
                'size' => $cart_item->size,
            ],
        ];
    }
}
