<?php


namespace App\Services\CartItem;


use App\Http\Requests\UpdateCartItemRequest;
use App\Http\Requests\UpdateCartItemSentenceRequest;
use App\Models\CartItem;
use App\Models\Category;
use App\Models\Limitation;
use App\Models\Sentence;

class UpdateCartItem
{
    public function update(UpdateCartItemRequest $request, $id)
    {
        $count = $request->count;
        $cart_item = CartItem::query()->find($id);
        if (!$cart_item) {
            return [
                'success' => false,
                'message' => 'آیتم مورد نظر یافت نشد'
            ];
        }
        $cart_item->quantity = $count;
        $cart_item->save();
        return [
            'success' => true,
            'cartItem' => $cart_item
        ];
    }

    public function updateSentence(UpdateCartItemSentenceRequest $request, $id)
    {
        $sentence = Sentence::query()->find($request->sentence_id);
        $sentence_language = $request->sentence_language;
        $frame = $request->frame;
        $to = $request->to;
        $from = $request->from;
        $cartItem = CartItem::query()->find($id);
        if (!$cartItem) {
            return [
                'success' => false,
                'message' => 'این آیتم یافت نشد.'
            ];
        }
        $sentence_to_be_added = $sentence_language == 'فارسی' ? $sentence->farsi_text : $sentence->english_text;
        $cartItem->update([
            'sentence' => $sentence_to_be_added,
            'frame' => $frame,
            'to' => $to,
            'from' => $from
        ]);
        return [
            'success' => true,
            'cart-item' => $cartItem,
            'message' => 'محصول مورد نظر به روزرسانی شد.'
        ];
    }
}
