<?php


namespace App\Services\Category;


use App\Models\Category;
use App\Models\Product;
use App\Models\Sentence;
use Illuminate\Http\Request;

class AllCategories
{
    public function all()
    {
        $categories = Category::all();
        foreach ($categories as $category) {
            if ($category->category_type == Product::class) {
                if ($category->type == 'CAFE') {
                    $category['type'] = 'محصولات کافه';
                }
                if ($category->type == 'STORE') {
                    $category['type'] = 'محصولات فروشگاهی';
                }
            } else if ($category->category_type == Sentence::class) $category['type'] = 'جملات';
        }
        return [
            'success' => true,
            'category' => $categories,
        ];
    }

    public function filter(Request $request)
    {
        $title = $request->title;
        $type = $request->type;
        $categories = new Category();
        if ($title != '') {
             $categories = $categories->newQuery()->where('title', 'LIKE', '%'.$title.'%');
        }
        if ($type == 'products') {
            $categories = $categories->newQuery()->where('category_type', '=', Product::class);
        }
        if ($type == 'sentences') {
            $categories = $categories->newQuery()->where('category_type', '=', Sentence::class);
        }
        $categories = $categories->get();
        foreach ($categories as $category) {
            if ($category->category_type == Product::class) {
                $category['type'] = 'محصولات';
            } else $category['type'] = 'جملات';
        }
        return [
            'success' => true,
            'categories' => $categories,
        ];
    }
}
