<?php


namespace App\Services\Category;


use App\Http\Requests\CreateCategoryRequest;
use App\Models\Category;
use App\Models\Product;
use App\Models\Sentence;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class CreateCategory
{
    public function save(CreateCategoryRequest $request)
    {
        $data = $request->validated();
        if ($data['type'] == "product") {
            if (isset($data['active_image'])) {
                $filename = time() . '_' . Str::random(5) . '.' . $request->active_image->getClientOriginalExtension();
                Storage::putFileAs('/icons', $request->active_image, $filename);
                $data['active_image'] = '/icons/' . $filename;
            }
            if (isset($data['passive_image'])) {
                $filename = time() . '_' . Str::random(5) . '.' . $request->passive_image->getClientOriginalExtension();
                Storage::putFileAs('/icons', $request->passive_image, $filename);
                $data['passive_image'] = '/icons/' . $filename;
            }
            if (!isset($data['passive_image'])) {
                $data['passive_image'] = null;
            }

            $category = Category::updateOrCreate([
                'title' => $data['title']
            ], [
                'title' => $data['title'],
                'active_image' => $data['active_image'],
                'passive_image' => $data['passive_image'],
                'category_type' => Product::class,
            ]);
        }
        if ($data['type'] == "sentence") {
            if (isset($data['active_image'])) {
                $filename = time() . '_' . Str::random(5) . '.' . $request->active_image->getClientOriginalExtension();
                Storage::putFileAs('/icons', $request->active_image, $filename);
                $data['active_image'] = '/icons/' . $filename;
            }
            $data['passive_image'] = null;
            $category = Category::updateOrCreate([
                'title' => $data['title'],
                'active_image' => $data['active_image'],
                'passive_image' => $data['passive_image'],
                'category_type' => Sentence::class,
            ]);
        }
        if ($data['type'] == 'store') {
            if (isset($data['active_image'])) {
                $filename = time() . '_' . Str::random(5) . '.' . $request->active_image->getClientOriginalExtension();
                Storage::putFileAs('/icons', $request->active_image, $filename);
                $data['active_image'] = '/icons/' . $filename;
            }
            $data['passive_image'] = null;
            $category = Category::updateOrCreate([
                'title' => $data['title'],
                'active_image' => $data['active_image'],
                'passive_image' => $data['passive_image'],
                'category_type' => Product::class,
                'type' => 'STORE'
            ]);
        }
        return [
            'success' => true,
            'message' => 'دسته بندی جدید با موفقیت ایجاد شد',
            'category' => $category,
        ];
    }
}
