<?php


namespace App\Services\Category;


use App\Http\Requests\UpdateCategoryRequest;
use App\Models\Category;
use App\Models\Product;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class UpdateCategory
{
    public function update(UpdateCategoryRequest $request,$id)
    {
        $category=Category::find($id);
        if (!$category){
            return [
                'success' => false,
                'message' => 'دسته بندی مورد نظر یافت نشد'
            ];
        }
        if ($request->title == null) {
            return [
                'success' => false,
                'message' => 'وارد کردن فیلد عنوان برای دسته بندی الزامیست'
            ];
        }
        $category->title = $request->title;
        if ($request->has('active_image')) {
            $filename=time().'_'.Str::random(5).'.'.$request->active_image->getClientOriginalExtension();
            Storage::putFileAs('/icons' , $request->active_image , $filename);
            $category->active_image = '/icons/'.$filename;
        }
        if ($category->category_type==Product::class) {
            if ($request->has('passive_image')) {
                $filename = time() . '_' . Str::random(5) . '.' . $request->passive_image->getClientOriginalExtension();
                Storage::putFileAs('/icons', $request->passive_image, $filename);
                $category->passive_image = '/icons/' . $filename;
            }
        }

        $category->save();

        return [
            'success' => true,
            'message' => 'دسته بندی مورد نظر با موفقیت به روزرسانی شد',
            'category' => $category,
        ];
    }

    public function updateImage(Request $request, $id)
    {
        $category = Category::query()->find($id);
        if (!$category) {
            return [
                'success' => false,
                'message' => 'دسته بندی مورد نظر یافت نشد'
            ];
        }
        $image = $request->image;
        $filename = time() . '_' . Str::random(5) . '.' . $image->getClientOriginalExtension();
        Storage::putFileAs('/', $image, $filename);
        $category->active_image = $filename;
        $category->save();
        return [
            'success' => true,
        ];
    }
}
