<?php


namespace App\Services\Category;


use App\Http\Requests\UpdateCategoryImageRequest;
use App\Models\Category;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class UpdateCategoryImage
{
    public function update(UpdateCategoryImageRequest $request, $id)
    {
        $request->validated();
        $category = Category::query()->find($id);
        if (!$category) {
            return [
                'success' => false,
                'message' => 'دسته بندی مورد نظر یافت نشد'
            ];
        }
        if ($request->has('active_image')){
            $filename = time() . '_' . Str::random(5) . $request->active_image->getClientOriginalExtension();
            Storage::putFileAs('/', $request->active_image, $filename);
            $category->update([
                'active_image' => $filename
            ]);
        }
        if ($request->has('passive_image')){
            $filename = time() . '_' . Str::random(5) . $request->passive_image->getClientOriginalExtension();
            Storage::putFileAs('/', $request->passive_image, $filename);
            $category->update([
                'passive_image' => $filename
            ]);
        }
        return [
            'success' => true
        ];
    }
}
