<?php


namespace App\Services\Event;


use App\Http\Requests\CreateEventRequest;
use App\Models\Product;
use App\Models\Slider;

class CreateEvent
{
    public function save(CreateEventRequest $request)
    {
        $id=$request->validate([
            'slider' => 'required|integer'
        ]);
        if (Slider::where('id',$id['slider'])->get()->count()==0){
            return [
                'success' => false,
                'message' => 'اسلایدر مورد نظر یافت نشد'
            ];
        }
        $slider=Slider::findOrFail($id['slider']);
        $data=$request->validated();
        if (Product::where('id',$data['product_id'])->get()->count()==0){
            return [
                'success' => false,
                'message' => 'محصول مورد نظر موجود نیست',
            ];
        }
        $event=$slider->events()->updateOrCreate($data);
        return [
            'success' => true,
            'event' => $event,
        ];
    }
}
