<?php


namespace App\Services\Event;


use App\Models\Slider;
use Illuminate\Http\Request;

class DeleteEvent
{
    public function delete(Request $request, $eventId)
    {
        $id = $request->validate([
            'slider' => 'required|integer',
        ]);
        if (Slider::where('id', $id['slider'])->get()->count() == 0) {
            return [
                'success' => false,
                'message' => 'اسلایدر مورد نظر یافت نشد'
            ];
        }
        $slider = Slider::findOrFail($id['slider']);
        $events = $slider->events()->get();
        if ($events->count() < $eventId) {
            return [
                'success' => false,
                'message' => 'رویداد مورد نظر یافت نشد',
            ];
        }
        $event = $slider->events()->findOrFail($eventId);
        $event->delete();
        return [
            'success' => true,
            'message' => 'رویداد مورد نظر با موفقیت حذف شد',
        ];
    }
}
