<?php


namespace App\Services\Event;


use App\Models\Event;
use App\Models\Product;
use App\Models\Slider;
use Illuminate\Http\Request;

class ReadEvent
{
    public function read(Request $request,$eventId)
    {
        $id=$request->validate([
            'slider' => 'required|integer'
        ]);
        if (Slider::where('id',$id['slider'])->get()->count()==0){
            return [
                'success' => false,
                'message' => 'اسلایدر مورد نظر یافت نشد'
            ];
        }
        $slider=Slider::findOrFail($id['slider']);
        $events=$slider->events()->get();
        if ($events->count()<$eventId){
            return [
                'success' => false,
                'message' => 'رویداد موردنظر یافت نشد',
            ];
        }
        $event=Event::findOrFail($events[$eventId-1]->id);
        return [
            'success' => true,
            'event' => $event,
            'product' => Product::findOrFail($event->product_id),
        ];
    }
}
