<?php


namespace App\Services\Event;


use App\Http\Requests\UpdateEventRequest;
use App\Models\Product;
use App\Models\Slider;

class UpdateEvent
{
    public function update(UpdateEventRequest $request,$eventId)
    {
        $id=$request->validate([
            'slider' => 'required|integer',
        ]);
        if (Slider::where('id',$id['slider'])->get()->count()==0){
            return [
                'success' => false,
                'message' => 'اسلایدر مورد نظر یافت نشد'
            ];
        }
        $slider=Slider::findOrFail($id['slider']);
        $events=$slider->events()->get();
        if ($events->count()<$eventId){
            return [
                'success' => false,
                'message' => 'رویداد مورد نظر یافت نشد',
            ];
        }
        $event=$slider->events()->findOrFail($eventId);
        $data=$request->validated();
        if (Product::where('id',$data['product_id'])->get()->count()==0){
            return [
                'success' => false,
                'message' => 'محصول مورد نظر موجود نیست',
            ];
        }
        if ($data['product_id']==null){
            $data['product_id']=$eventId->product_id;
        }
        $event->update($data);
        return [
            'success' => true,
            'message' => 'رویداد مورد نظر به روزرسانی شد',
            'event' => $event,
        ];
    }
}
