<?php


namespace App\Services\Filter;


use App\Http\Requests\FilterRequest;
use Illuminate\Database\Eloquent\Model;

class UpdateFilter
{
    protected $model;

    public function __construct(Model $model)
    {
        $this->model = $model;
    }

    public function update(FilterRequest $request, $id)
    {
        $title = $request->title;
        $filter = $this->model::query()->find($id);
        if (!$filter) {
            return [
                'success' => false,
                'message' => 'فیلتر مورد نظر یافت نشد'
            ];
        }
        $filter->update([
            'title' => $title
        ]);
        return [
            'success' => true,
            'data' => $filter
        ];
    }
}
