<?php


namespace App\Services\Notification;


use App\Http\Requests\CreateNotificationRequest;
use App\Models\User;
use Illuminate\Http\Request;
use Kavenegar\KavenegarApi;

class CreateNotification
{
    public function save(CreateNotificationRequest $request)
    {
        $user=$request->user();
        $data=$request->validated();
        $notification=$user->notifications()->updateOrCreate($data);
        return [
            'success' => true,
            'notification' => $notification,
        ];
    }

    public function dispatch(Request $request): array
    {
        $list = $request->list;
        $text = $request->text;
//        $receptors = [];
        foreach ($list as $item) {
            $user = User::find($item);
            $user->notifications()->create([
                'text' => $text
            ]);
//            array_push($receptors, $user->phone_number);
        }
//        $sms = new KavenegarApi(config('kavenegar.apikey'));
//        $sms->Send(null, $receptors, $text);
        return [
            'success' => true,
        ];
    }

    public function dispatchAll(Request $request)
    {
        $text = $request->text;
        $users = User::query()->whereNull('deleted_at')->where('active', true)->get();
        foreach ($users as $user) {
            $user->notifications()->create([
                'text' => $text
            ]);
        }
        return [
            'success' => true,
        ];
    }
}
