<?php


namespace App\Services\Order;


use App\Models\Order;
use Illuminate\Http\Request;

class FindByTrackingCode
{
    /**
     * @param Request $request
     * @return array
     */
    public function find(Request $request): array
    {
        $request->validate([
            'tracking_code' => 'required'
        ]);
        $tracking_code = $request->tracking_code;
        $order = Order::query()
            ->where('tracking_code', '=', $tracking_code)
            ->get();
        if (!$order) {
            return  [
                'success' => true,
                'orders' => []
            ];
        }
        $order->load([
            'orderItems',
            'user',
            'address',
            'transaction',
            'branch'
        ]);
        return [
            'success' => true,
            'orders' => $order
        ];
    }
}
