<?php


namespace App\Services\Order;


use App\Models\Address;
use App\Models\Order;
use App\Models\User;

class ReadFullOrder
{
    public function read($id)
    {
        $order = Order::query()->find($id);
        if (!$order) {
            return [
                'success' => false,
                'message' => 'سفارش مورد نظر یافت نشد'
            ];
        }
        $storeProducts = [];
        $cafeProducts = [];
        foreach ($order->orderItems as $item) {
            if ($item->product()->isCafe()) {
                array_push($cafeProducts, $item);
            } else array_push($storeProducts, $item);
        }
        return [
            'success' => true,
            'order' => $order->load(['address', 'user']),
            'store_order_items' => $storeProducts,
            'cafe_order_items' => $cafeProducts
        ];
    }
}
