<?php


namespace App\Services\Permission;


use App\Http\Requests\CreatePermissionRequest;
use App\Models\Permission;

class UpdatePermission
{
    public function update(CreatePermissionRequest $request, $id)
    {
        $permission = Permission::find($id);
        if (!$permission){
            return [
                'success' => false,
                'message' => 'اجازه مورد نظر یافت نشد'
            ];
        }
        $data = $request->validated();
        if (!isset($data['title'])){
            $data['title'] = $permission->title;
        }
        $permission->update($data);
        return [
            'success' => true,
            'permission' => $permission,
        ];
    }
}
