<?php


namespace App\Services\Product;


use App\Models\Category;
use App\Models\Product;

class ReadProduct
{
    public function read($id)
    {
        $product=Product::with(['sizes', 'rates'])->find($id);
        if (!$product){
            return [
                'success' => false,
                'message' => 'محصول مورد نظر یافت نشد',
            ];
        }
        $category = Category::query()->find($product->category_id);
        $product['category'] = $category->title;
        $product['printable'] = $product->printable && $category->printable;
        if (!$category->isCafe()) {
            $product->load(
                [
                    'growthParts',
                    'coffeeTypes',
                    'beanTypes',
                    'millTypes'
                ]
            );
        }
        return [
            'success' => true,
            'product' => $product,
        ];
    }
}
