<?php


namespace App\Services\Promotion;


use App\Codes\CodeGenerator;
use App\Models\Notification;
use App\Models\User;
use Illuminate\Http\Request;

class AdminCreatePromotion
{
    public function save(Request $request, CodeGenerator $generator, $id)
    {
        $user = User::find($id);
        if (!$user) {
            return [
                'success' => false,
                'message' => 'کاربر مورد نظر یافت نشد'
            ];
        }
        $data = $request->validate([
            'max_promo_limit' => 'required|integer',
            'percent' => 'required|integer'
        ]);
        $promotion = $user->promotions()->create([
            'max_promo_limit' => $data['max_promo_limit'],
            'percent' => $data['percent'],
            'promotion_code' => $generator->promotionCode()
        ]);
        $user->notifications()->create([
            'text' => 'کد تخفیف '.$promotion->promotion_code.' برای شما قابل استفاده است.',
        ]);
        return [
            'success' => true,
            'promotion' => $promotion,
        ];
    }
}
