<?php


namespace App\Services\Promotion;


use App\Http\Requests\UpdatePromotionRequest;
use App\Models\User;

class UpdatePromotion
{
    public function update(UpdatePromotionRequest $request,$id)
    {
        $user=User::findOrFail($request->user()->id);
        $promotions=$user->promotions()->get();
        if ($promotions->count()<$id){
            return [
                'success' => false,
                'message' => 'کاربر این کد تخفیف را ندارد',
            ];
        }
        $promotion=$user->promotions()->findOrFail($promotions[$id-1]->id);
        $promotion->update($request->validated());
        return [
            'success' => true,
            'message' => 'این کد تخفیف با موفقیت به روزرسانی شد',
        ];
    }
}
