<?php


namespace App\Services\Role;


use App\Http\Requests\CreateRoleRequest;
use App\Models\Role;

class CreateRole
{
    public function save(CreateRoleRequest $request)
    {
        $data = $request->validated();
        $role = Role::create([
            'body' => $data['body']
        ]);
        $role->permissions()->sync($data['accesses']);
        return [
            'success' => true,
            'role' => $role
        ];
    }
}
