<?php


namespace App\Services\Role;


use App\Http\Requests\CreateRoleRequest;
use App\Models\Role;

class UpdateRole
{
    public function update(CreateRoleRequest $request, $id)
    {
        $role = Role::find($id);
        if (!$role) {
            return [
                'success' => false,
                'message' => 'نقش مورد نظر یافت نشد'
            ];
        }
        $data = $request-> validated();
        if (!isset($data['body'])){
            $data['body'] = $role->body;
        }
        $role->update($data);
        return [
            'success' => true,
            'role' => $role,
        ];
    }
}
