<?php


namespace App\Services\Sentence;


use App\Models\Category;
use App\Models\Sentence;
use Exception;
use Illuminate\Http\Request;

class AllSentences
{
    /**
     * @throws Exception
     */
    public function all(Request $request)
    {
        $data = $request->validate([
            'category_id' => 'required|integer'
        ]);
        $category = Category::query()->find($data['category_id']);
        if (!$category) {
            return [
                'success' => false,
                'message' => 'دسته بندی مورد نظر موجود نیست'
            ];
        }
        if ($category->category_type != Sentence::class) {
            return [
                'success' => false,
                'message' => 'این دسته بندی برای جملات نیست'
            ];
        }
        $sentences = cache()->remember('sentences', now()->addMinutes(), function () use ($category) {
            return Sentence::with('tag')->where('category_id', '=', $category->id)->get();
        });

        return [
            'success' => true,
            'sentences' => $sentences
        ];
    }
}
