<?php


namespace App\Services\Sentence;


use App\Models\Category;
use App\Models\Sentence;
use App\Models\Tag;
use Illuminate\Http\Request;

class AppAllSentences
{
    /**
     * @return array
     */
    public function all(): array
    {
        $data = Sentence::query()->whereNull('deleted_at')->paginate(100);

        foreach ($data->items() as $item){
            $item['category'] = Category::query()->find($item['category_id']);
            $item['tag'] = Tag::query()->find($item['tag_id']);
        }
        return [
            'success' => true,
            'data' => $data,
        ];
    }

    /**
     * @param Request $request
     * @return array
     */
    public function filter(Request $request): array
    {
        $farsi_text = $request->farsi_text;
        $english_text = $request->english_text;
        $category = $request->category;
//        $tag = $request->tag;
        $sentences = new Sentence();
        if ($farsi_text != '') {
            $sentences = $sentences->newQuery()->where('farsi_text', 'LIKE', '%'.$farsi_text.'%');
        }
        if ($english_text != '') {
            $sentences = $sentences->newQuery()->where('english_text', 'LIKE', '%'.$english_text.'%');
        }
        if ($category != '') {
            $categories = Category::query()->where('title','LIKE','%'.$category.'%')->get();
            $sentences = $sentences->get()->whereIn('category_id',$categories->pluck('id'))->values();
        } else {
            $sentences = $sentences->get();
        }

        foreach ($sentences as $item){
            $item['category'] = Category::query()->find($item['category_id']);
            $item['tag'] = Tag::query()->find($item['tag_id']);
        }
        return [
            'success' => true,
            'sentences' => $sentences
        ];
    }
}
