<?php


namespace App\Services\Sentence;


use App\Http\Requests\CreateSentenceRequest;
use App\Models\Category;
use App\Models\Sentence;

class CreateSentence
{
    public function save(CreateSentenceRequest $request)
    {
        $data=$request->validated();
        $category=Category::find($data['category_id']);
        if (!$category){
            return [
                'success' => false,
                'message' => 'این دسته بندی موجود نیست',
            ];
        }
        if ($request->farsi_text === null || $request->farsi_text === '') {
            if ($request->english_text === null || $request->english_text === '') {
                return [
                    'success' => false,
                    'message' => 'وارد کردن حداقل یکی از متن های انگلیسی یا فارسی الزامیست'
                ];
            }
        }
        if ($request->english_text === null || $request->english_text === '') {
            if ($request->farsi_text === null || $request->farsi_text === '') {
                return [
                    'success' => false,
                    'message' => 'وارد کردن حداقل یکی از متن های انگلیسی یا فارسی الزامیست'
                ];
            }
        }
        $sentence=Sentence::create($data);
        $category->update([
            'category_id' => $sentence->id,
        ]);
        return [
            'success' => true,
            'sentence' => $sentence,
        ];
    }
}
