<?php


namespace App\Services\Sentence;

use App\Http\Requests\UpdateSentenceRequest;
use App\Models\Sentence;
use Illuminate\Http\Request;

class UpdateSentence
{
    public function update(UpdateSentenceRequest $request,$id)
    {
        $sentence = Sentence::find($id);
        if (!$sentence) {
            return [
                'success' => false,
                'message' => 'جمله مورد نظر یافت نشد'
            ];
        }

        if ($request->farsi_text == '' && $request->english_text == '') {
            return [
                'success' => false,
                'message' => 'حداقل یکی از فیلد ها باید پر باشد'
            ];
        }
        $farsi_text = $request->farsi_text;
        $english_text = $request->english_text;
        $sentence->farsi_text = $farsi_text;
        $sentence->english_text = $english_text;
        $sentence->save();
        return [
            'success' => true,
            'message' => 'جمله مورد نظر با موفقیت به روزرسانی شد',
        ];
    }

    public function edit(Request $request, $id)
    {
        $sentence = Sentence::query()->find($id);
        if (!$sentence) {
            return [
                'success' => false,
                'message' => 'جمله مورد نظر یافت نشد'
            ];
        }
        $category_id = $request->category_id;
        $sentence->category_id = $category_id;
        $sentence->save();
        return [
            'success' => true,
        ];
    }

    public function tagEdit(Request $request, $id)
    {
        $sentence = Sentence::query()->find($id);
        if (!$sentence) {
            return [
                'success' => false,
                'message' => 'جمله مورد نظر یافت نشد'
            ];
        }
        $sentence->tag_id = $request->tag_id;
        $sentence->save();
        return [
            'success' => true,
        ];
    }
}
