<?php


namespace App\Services\Settings;


use App\Http\Requests\SetBranchConfigRequest;
use App\Models\Settings;

class SetUrl
{
    /**
     * @param SetBranchConfigRequest $request
     * @return array
     */
    public function setUrl(SetBranchConfigRequest $request): array
    {
        $data = $request->validated();
        $settings = Settings::query()->get()->last();
        $this->handleInputData($data);
        if ($settings != null) {
            $settings->update($data);
        } else {
            Settings::query()->create($data);
        }
        return [
            'success' => true
        ];
    }

    protected function handleInputData(array &$data)
    {
        foreach ($data as $key => $item) {
            if (!isset($item) || $item == null || $item == '') {
                unset($data[$key]);
            }
        }
    }
}
