<?php


namespace App\Services\Size;


use App\Models\Size;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class UpdateSize
{
    public function update(Request $request, $id)
    {
        $size = Size::query()->find($id);
        if (!$size) {
            return [
                'success' => false,
                'message' => 'سایز مورد نظر یافت نشد'
            ];
        }
        Validator::validate($request->all(), [
            'size' => 'required'
        ], [
            'size.required' => 'وارد کردن سایز الزامیست'
        ]);
        $size->size = $request->size;
        $size->save();
        return [
            'success' => true,
            'size' => $size
        ];
    }
}
