<?php


namespace App\Services\Slider;


use App\Http\Requests\CreateSliderRequest;
use App\Models\Slider;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class CreateSlider
{
    public function save(CreateSliderRequest $request)
    {
        $data=$request->validated();
        if (isset($data['image'])){
            $filename=time().'_'.Str::random(5).'.'.$request->image->getClientOriginalExtension();
            Storage::putFileAs('/',$request->image,$filename);
            $data['image']=$filename;
        }
        $slider = Slider::create([
           'image' => $data['image'],
            'page_title' => $data['page_title']
        ]);
        $product_list = $data['product_ids'];
        foreach ($product_list as $item) {
            $slider->events()->create([
                'product_id' => $item
            ]);
        }
        return [
            'success' => true,
            'slider' => $slider,
        ];
    }
}
