<?php


namespace App\Services\Slider;


use App\Http\Requests\UpdateSliderRequest;
use App\Models\Slider;

class UpdateSlider
{
    public function update(UpdateSliderRequest $request,$id)
    {
        $data=$request->validated();
        if (Slider::all()->count()==0){
            return [
                'success' =>  true,
                'message' => 'اسلایدری برای نمایش وجود ندارد',
            ];
        }
        if (Slider::where('id',$id)->get()->count()<$id){
            return [
                'success' => false,
                'message' => 'اسلایدر مورد نظر پیدا نشد',
            ];
        }
        $slider=Slider::findOrFail($id);
        if ($data['title']==null){
            $data['title']=$slider->title;
        }
        if ($data['description']==null){
            $data['description']=$slider->description;
        }
        if ($data['image']==null){
            $data['image']=$slider->image;
        }
        if ($data['page_title']==null){
            $data['page_title']=$slider->page_title;
        }
        $slider->update($data);
        return [
            'success' => true,
            'message' => 'اسلایدر مورد نظر با موفقیت به روزرسانی شد',
        ];
    }
}
