<?php


namespace App\Services\Slider;


use App\Http\Requests\UpdateSliderImageRequest;
use App\Models\Slider;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class UpdateSliderImage
{
    public function update(UpdateSliderImageRequest $request, $id)
    {
        $slider = Slider::find($id);
        if (!$slider) {
            return [
                'success' => false,
                'message' => 'اسلایدر مورد نظر یافت نشد'
            ];
        }
        $filename=time().'_'.Str::random(5).'.'.$request->image->getClientOriginalExtension();
        Storage::putFileAs('/',$request->image,$filename);
        $slider->image = $filename;
        $slider->save();
        return [
            'success' => true,
            'message' => 'تصویر اسلایدر مورد نظر با موفقیت به روزرسانی شد'
        ];
    }
}
