<?php


namespace App\Services\Slider;


use App\Models\Slider;
use Illuminate\Http\Request;

class UpdateSliderProduct
{
    public function update(Request $request, $id)
    {
        $slider = Slider::find($id);
        if (!$slider) {
            return [
                'success' => false,
                'message' => 'اسلایدر مورد نظر یافت نشد'
            ];
        }
        if (!$request->has('product_ids')) {
            return [
                'success' => false,
                'message' => 'پر کردن محصولات اسلایدر الزامیست'
            ];
        }
        $slider->events()->delete();
        $product_list = $request->product_ids;
        foreach ($product_list as $item) {
            $slider->events()->create([
                'product_id' => $item
            ]);
        }
        return [
            'success' => true,
        ];
    }
}
