<?php


namespace App\Services\Tag;


use App\Http\Requests\UpdateTagRequest;
use App\Models\Tag;
use Illuminate\Http\Request;

class UpdateTag
{
    public function update(UpdateTagRequest $request,$id)
    {
        $tag=Tag::find($id);
        if (!$tag){
            return [
                'success' => false,
                'message' => 'تگ مورد نظر یافت نشد'
            ];
        }
        $tag->body = $request->body;
        $tag->save();
        return [
            'success' => true,
            'message' => 'تگ مورد نظر با موفقیت به روزرسانی شد'
        ];
    }

    public function updateCategory(Request $request, $id)
    {
        $tag = Tag::query()->find($id);
        if (!$tag) {
            return [
                'success' => false,
                'message' => 'تگ مورد نظر یافت نشد'
            ];
        }
        $category_id = $request->category_id;
        $tag->category_id = $category_id;
        $tag->save();
        return [
            'success' => true,
        ];
    }
}
