<?php


namespace App\Services\User;


use Illuminate\Http\Request;

class AuthUser
{
    public function authUser(Request $request)
    {
        $user = $request->user();
        $user->load(
            [
                'addresses',
                'cartItems',
                'orders',
                'orders.orderItems',
                'profile',
                'credit',
                'rates',
                'notifications'
            ]
        );
        if (isset($user->profile)) {
            $user['profile']['firstname'] = $user->firstname;
            $user['profile']['lastname'] = $user->lastname;
            $user['profile']['phone_number'] = $user->phone_number;
        }
        if ($user['credit'] == null) {
            $user['credit'] = [
                'value' => 0
            ];
        } else {
            $user['credit']['value'] = (int)($user['credit']['value']);
        }
        $user['cart_count'] = $user->cartItems->count();
        return [
            'success' => true,
            'user' => $user
        ];
    }
}
