<?php


namespace App\Services\User;


use App\Events\BlockUserEvent;
use App\Models\User;

class ToggleActivation
{
    public function toggle($id)
    {
        $user = User::query()->find($id);
        if (!$user) {
            return [
                'success' => false,
                'message' => 'کاربر مورد نظر یافت نشد'
            ];
        }
        $user->update([
            'active' => !$user->active
        ]);
        $status = $user->active;
        if (!$status) {
            event(new BlockUserEvent($user));
        }
        $user->tokens()->delete();
        return [
            'success' => true,
            'user' => $user,
        ];
    }
}
