<?php


namespace App\Services\User;


use App\Http\Requests\UpdateUserRequest;
use App\Models\User;

class UpdateUser
{
    public function update(UpdateUserRequest $request)
    {
        $data = $request->validated();
        $user = $request->user();
        if ($data['firstname'] == null) {
            $data['firstname'] = $user->firstname;
        }
        if ($data['lastname'] == null) {
            $data['lastname'] = $user->lastname;
        }
        $user->update($data);
        $city = $request->city;
        $gender = $request->gender;
        $birthdate = $request->birthdate;
        $province = $request->province;

        if (exists($city)) {
            $user->profile->update([
                'city' => $city
            ]);
        }
        if (exists($gender)) {
            $user->profile->update([
                'gender' => $gender
            ]);
        }
        if (exists($birthdate)) {
            $user->profile->update([
                'birthdate' => $birthdate
            ]);
        }
        if (exists($province)) {
            $user->profile->update([
                'province' => $province
            ]);
        }
        return [
            'success' => true,
            'message' => 'اطلاعات کاربر با موفقیت به روزرسانی شد',
            'user' => [
                'firstname' => $user->firstname,
                'lastname' => $user->lastname,
                'phone_number' => $user->phone_number,
                'birthdate' => $user->profile->birthdate,
                'gender' => $user->profile->gender,
                'city' => $user->profile->city,
                'province' => $user->profile->province
            ]
        ];
    }
}
