<?php


namespace App\Services\Verification;


use App\Http\Requests\ConfirmCodeRequest;
use App\Models\User;
use App\Models\Verification;

class ConfirmCode
{
    public function confirm_code(ConfirmCodeRequest $request)
    {
        $data = $request->validated();
        $verification_code = $data['verification_code'];
        $result = Verification::where('verification_code', '=', $verification_code)->first();
        if (!$result) {
            return [
                'success' => false,
                'message' => 'این کد اشتباه است',
            ];
        }
        $phone_number = $result->phone_number;
        $user = User::query()->where('phone_number', $phone_number)->first();
        if ($user) {
            if ($user->active == 0) {
                return [
                    'success' => false,
                    'message' => 'حساب کاربری شما مسدود شده است.'
                ];
            }
            return [
                'success' => true,
                'exist' => true,
                'user' => User::query()->where('phone_number', $phone_number)->first()->load('profile'),
                'token' => User::query()->where('phone_number', $phone_number)->first()->createToken('ApiToken')->plainTextToken,
                'message' => 'شما با موفقیت وارد شدید',
            ];
        }
        $result->update([
            'verified' => true,
        ]);
        return [
            'success' => true,
            'exist' => false,
            'phone_number' => $phone_number,
            'message' => 'شماره موبایل شما با موفقیت تایید شد',
        ];
    }
}
