<?php


namespace App\Services\Verification;


use App\Codes\VerificationCodeHandler;
use App\Http\Requests\PhoneNumberVerificationRequest;
use App\Models\User;

class PhoneNumberVerification
{
    public function phone_number_verification(PhoneNumberVerificationRequest $request,VerificationCodeHandler $handler)
    {
        $data=$request->validated();
        $phone_number=$data['phone_number'];
        $code=$handler->send($phone_number);
        if (User::where('phone_number',$phone_number)->first()){
            return [
                'success' => true,
                'message' => 'شما قبلا ثبت نام انجام داده اید. کد فعالسازی ارسال شده را وارد نمایید تا وارد حساب کاربری خود شوید',
                'verification_code' => $code,
            ];
        }
        return [
            'success' => true,
            'message' => 'کد فعالسازی با موفقیت ارسال گردید',
            'verification_code' => $code,
        ];
    }

}
