<?php


namespace App\Services\WebsiteSlider;


use App\Models\WebsiteSlider;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class UpdateWbSlider
{
    public function update(Request $request, $id)
    {
        $slider = WebsiteSlider::query()->find($id);
        if (!$slider) {
            return [
                'success' => false,
                'message' => 'اسلایدر مورد نظر شما یافت نشد'
            ];
        }
        $image = $request->image;
        $filename = time() . '_' . Str::random(5) . '.' . $image->getClientOriginalExtension();
        $slider->update([
            'image' => $filename
        ]);
        Storage::putFileAs('/', $image, $filename);
        return [
            'success' => true,
            'slider' => $slider
        ];
    }
}
