<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrderItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_items', function (Blueprint $table) {
            $table->id();
            $table->string('product');
            $table->integer('price');
            $table->integer('quantity');
            $table->text('sentence')->nullable();
            $table->string('frame')->nullable();
            $table->string('to')->nullable();
            $table->string('from')->nullable();
            $table->string('size');
            $table->foreignId('order_id')->constrained('orders')->cascadeOnDelete();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_items');
    }
}
