<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductSizeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if (!Schema::hasTable('product_size')) {
            Schema::create('product_size', function (Blueprint $table) {
                $table->id();
                $table->foreignId('product_id')->constrained()->on('products')->cascadeOnDelete();
                $table->foreignId('size_id')->constrained()->on('sizes')->cascadeOnDelete();
                $table->string('price');
                $table->softDeletes();
                $table->timestamps();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('product_size');
    }
}
